ruby-rgen_0.7.0-2_all.deb


Advertisement

Description

ruby-rgen - Ruby Modelling and Generator Framework

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-rgen
Package version 0.7.0
Package release 2
Package architecture all
Package type deb
Installed size 433 B
Download size 68.37 KB
Official Mirror archive.ubuntu.com
RGen is a framework for Model Driven Software Development (MDSD) in
Ruby.
This means that it helps you build Metamodels, instantiate Models,
modify and transform Models and finally generate arbitrary textual
content from it.

Alternatives

Package Version Architecture Repository
ruby-rgen_0.7.0-2_all.deb 0.7.0 all Ubuntu Universe
ruby-rgen - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-nokogiri -

Download

Type URL
Binary Package ruby-rgen_0.7.0-2_all.deb
Source Package ruby-rgen

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rgen deb package:
    # sudo apt-get install ruby-rgen

Files

Path
/usr/lib/ruby/vendor_ruby/ea_support/ea_support.rb
/usr/lib/ruby/vendor_ruby/ea_support/id_store.rb
/usr/lib/ruby/vendor_ruby/ea_support/uml13_ea_metamodel.rb
/usr/lib/ruby/vendor_ruby/ea_support/uml13_ea_metamodel_ext.rb
/usr/lib/ruby/vendor_ruby/ea_support/uml13_ea_metamodel_generator.rb
/usr/lib/ruby/vendor_ruby/ea_support/uml13_ea_to_uml13.rb
/usr/lib/ruby/vendor_ruby/ea_support/uml13_to_uml13_ea.rb
/usr/lib/ruby/vendor_ruby/metamodels/uml13_metamodel.rb
/usr/lib/ruby/vendor_ruby/metamodels/uml13_metamodel_ext.rb
/usr/lib/ruby/vendor_ruby/mmgen/metamodel_generator.rb
/usr/lib/ruby/vendor_ruby/mmgen/mmgen.rb
/usr/lib/ruby/vendor_ruby/mmgen/mm_ext/ecore_mmgen_ext.rb
/usr/lib/ruby/vendor_ruby/mmgen/templates/annotations.tpl
/usr/lib/ruby/vendor_ruby/mmgen/templates/metamodel_generator.tpl
/usr/lib/ruby/vendor_ruby/rgen/array_extensions.rb
/usr/lib/ruby/vendor_ruby/rgen/environment.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder.rb
/usr/lib/ruby/vendor_ruby/rgen/model_builder.rb
/usr/lib/ruby/vendor_ruby/rgen/template_language.rb
/usr/lib/ruby/vendor_ruby/rgen/transformer.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ecore.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ecore_builder_methods.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ecore_ext.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ecore_interface.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ecore_to_ruby.rb
/usr/lib/ruby/vendor_ruby/rgen/ecore/ruby_to_ecore.rb
/usr/lib/ruby/vendor_ruby/rgen/fragment/dump_file_cache.rb
/usr/lib/ruby/vendor_ruby/rgen/fragment/fragmented_model.rb
/usr/lib/ruby/vendor_ruby/rgen/fragment/model_fragment.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/abstract_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/abstract_xml_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/default_xml_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/ecore_xml_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/json_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/json_parser.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/json_parser.y
/usr/lib/ruby/vendor_ruby/rgen/instantiator/nodebased_xml_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/qualified_name_resolver.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/reference_resolver.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/resolution_helper.rb
/usr/lib/ruby/vendor_ruby/rgen/instantiator/xmi11_instantiator.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/builder_extensions.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/builder_runtime.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/constant_order_helper.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/data_types.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/mm_multiple.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/module_extension.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/intermediate/annotation.rb
/usr/lib/ruby/vendor_ruby/rgen/metamodel_builder/intermediate/feature.rb
/usr/lib/ruby/vendor_ruby/rgen/model_builder/builder_context.rb
/usr/lib/ruby/vendor_ruby/rgen/model_builder/model_serializer.rb
/usr/lib/ruby/vendor_ruby/rgen/model_builder/reference_resolver.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/json_serializer.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/opposite_reference_filter.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/qualified_name_provider.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/xmi11_serializer.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/xmi20_serializer.rb
/usr/lib/ruby/vendor_ruby/rgen/serializer/xml_serializer.rb
/usr/lib/ruby/vendor_ruby/rgen/template_language/directory_template_container.rb
/usr/lib/ruby/vendor_ruby/rgen/template_language/output_handler.rb
/usr/lib/ruby/vendor_ruby/rgen/template_language/template_container.rb
/usr/lib/ruby/vendor_ruby/rgen/template_language/template_helper.rb
/usr/lib/ruby/vendor_ruby/rgen/util/auto_class_creator.rb
/usr/lib/ruby/vendor_ruby/rgen/util/cached_glob.rb
/usr/lib/ruby/vendor_ruby/rgen/util/file_cache_map.rb
/usr/lib/ruby/vendor_ruby/rgen/util/file_change_detector.rb
/usr/lib/ruby/vendor_ruby/rgen/util/method_delegation.rb
/usr/lib/ruby/vendor_ruby/rgen/util/model_comparator.rb
/usr/lib/ruby/vendor_ruby/rgen/util/model_comparator_base.rb
/usr/lib/ruby/vendor_ruby/rgen/util/model_dumper.rb
/usr/lib/ruby/vendor_ruby/rgen/util/name_helper.rb
/usr/lib/ruby/vendor_ruby/rgen/util/pattern_matcher.rb
/usr/lib/ruby/vendor_ruby/transformers/ecore_to_uml13.rb
/usr/lib/ruby/vendor_ruby/transformers/uml13_to_ecore.rb
/usr/share/doc/ruby-rgen/changelog.Debian.gz
/usr/share/doc/ruby-rgen/copyright
/usr/share/rubygems-integration/all/specifications/rgen-0.7.0.gemspec

Changelog

2015-05-03 - Jonas Genannt <genannt@debian.org>
ruby-rgen (0.7.0-2) unstable; urgency=medium
* Team upload.
[ Stig Sandbeck Mathisen ]
* Update Vcs-Browser URL
[ Jonas Genannt ]
* d/control:
- bumped up standards version to 3.9.6 (no changes needed)
- switched homepage to github, ruby-gen.org is offline
- d/control: added nokogiri to dependency
Thanks to autotest nokogiri is needed on runtime
2014-09-07 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-rgen (0.7.0-1) unstable; urgency=medium
* Imported upstream release 0.7.0
* Build depend on ruby-test-unit
* Import upstream patch for build test
* Update autopkgtests
2013-11-30 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-rgen (0.6.6-1) unstable; urgency=low
* Initial release (Closes: #710385)

See Also

Package Description
ruby-riddle_1.5.12-3_all.deb Ruby API for Sphinx Search
ruby-ridley_4.4.3-2_all.deb Ruby library that provides a full featured Chef API client
ruby-riemann-client_0.2.3-1_all.deb client for the distributed event system Riemann
ruby-rinku-doc_1.7.3-2build1_all.deb autolinker for Ruby (documentation)
ruby-rinku_1.7.3-2build1_i386.deb autolinker for Ruby
ruby-riot_0.12.7-1_all.deb fast, expressive, and context-driven unit-testing framework for Ruby
ruby-rjb_1.5.3-2build1_i386.deb Ruby-Java bridge using Java Native Interface
ruby-rmagick-doc_2.15.4-2build3_all.deb ImageMagick API for Ruby (documentation)
ruby-rmagick_2.15.4-2build3_i386.deb ImageMagick API for Ruby
ruby-roadie-rails_1.1.0-1_all.deb library for composing HTML email in Rails applications
ruby-roadie_3.1.1-1_all.deb library for composing HTML email
ruby-romkan_0.4.0-2_all.deb Romaji <-> Kana conversion library for Ruby
ruby-ronn_0.7.3-4_all.deb Builds manuals from Markdown
ruby-rotp_2.1.1+dfsg-1_all.deb Ruby library for generating and verifying one time passwords
ruby-rouge_1.10.1-1_all.deb pure-Ruby syntax highlighter compatible with pygments
Advertisement
Advertisement